Subject: Re: linux-next: build failure after merge of the staging tree

From: Greg KH <[email-masked]>
Date: Tue, 27 Apr 2010 08:13:05 -0700

On Tue, Apr 27, 2010 at 02:12:24PM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> After merging the staging tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> ERROR: "uart_console_device" [drivers/serial/altera_uart.ko] undefined!
> ERROR: "uart_console_device" [drivers/serial/altera_jtaguart.ko] undefined!
> 
> Introduced by commits 76bdbd933febe791fee114e7bb6c42bbd1a3f4f3 ("serial:
> Add driver for the Altera UART") and
> 11c59b34b299d7214b466cf799410a9a540476e3 ("serial: Add driver for the
> Altera JTAG UART").
> 
> I have reverted those commits for today.

Those came in through the tty quilt tree, not the staging tree, right?

Tobias, care to send me a patch to resolve this?  I already fixed one
Kconfig issue in these patches (forcing the driver to always be built
in.)  Is that what caused this symbol issue?

thanks,

greg k-h